| Home | Libraries | People | FAQ | More

##### http::parser::keep_alive

(Inherited from `http::basic_parser`)

Returns `true` if the message has keep-alive connection semantics.

###### Synopsis

    bool
    keep_alive() const;

###### Description

This function always returns `false` if `http::basic_parser::need_eof` would return `false`.

###### Remarks

The return value is undefined unless `http::basic_parser::is_header_done` would return `true`.